## org.springframework.jdbc.support.xml
Interface XmlBinaryStreamProvider

    public interface XmlBinaryStreamProvider

Interface defining handling involved with providing `OutputStream` data for XML input.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `OutputStream`

Method Summary
`void` `provideXml(OutputStream outputStream)` Implementations must implement this method to provide the XML content for the `OutputStream`.

Method Detail

### provideXml

    void provideXml(OutputStream outputStream)
                    throws IOException

  Implementations must implement this method to provide the XML content for the `OutputStream`.

  Parameters:
    `outputStream` - the `OutputStream` object being used to provide the XML input
  Throws:
    `IOException` - if an I/O error occurs while providing the XML